Subject: Re: [Isis-wg] I-D Action:draft-ietf-ccamp-isis-interas-te-extension-03.txt
From: Mach Chen <[email-masked]>
To: "Les Ginsberg (ginsberg)" <[email-masked]>, isis mailing list <[email-masked]>
Cc: Hannes Gredler <[email-masked]>
Date: Wed, 27 Aug 2008 20:40:24 +0800
List-Id: IETF IS-IS working group <isis-wg.ietf.org>

Les,

> Mach -
>
> One editorial nit:
>
> In Section 3.1 2nd paragraph page 8:
>
> s/GNINFO/GENINFO
>
> On a more substantive note, the discussion of sub-TLV allocation that
> you added into Section 6.2 is clearly an improvement, but it still gives
> me cause for concern. You say:
>
> " the sub-TLVs which are defined in
>   [ISIS-TE], [ISIS-TE-V3] and other documents for describing the TE
>   properties of an TE link are applicable to describe an inter-AS TE
>   link and MAY be included in the Inter-AS Reachability TLV when
>   adverting inter-AS TE links. So, these sub-TLVs need to be
>   registered in the ISIS sub-TLV registry for TLV 141. And in order to
>   simplify the registration, we suggest using the same registry value
>   as they are registered in the ISIS sub-TLV registry for TLV 22."
>
> This suggests that:
>
> 1)Every subTLV in the TLV22 registry needs to be added to the TLV141
> subTLV registry - and any future definitions have to be added in both
> places regardless of whether they are for TLV22 or TLV141 (or both).

I think this is a feasible suggestion.

>
> 2)It may be acceptable for a subTLV which is used in both TLV22 and
> TLV141 to have different number assignments in the two TLV registries
> (though you recommend against this).

It's work, but it may bring some confusion/difficulty to registration or 
implement. That's why I suggest using the same registry value for both TLV 
22 and 141.

>
> I would prefer that we insist upon a single shared registry so that the
> issues of duplicate registrations and/or different numerical assignments
> never arises.

That will be perfect if we can get a single shared registry both for TLV 22 
and TLV 141. As Adrian pointed out in another email, we only have a registry 
called "Sub-TLVs for TLV 22". So if we insist on a single shared registry, 
change the current registry name may be good idea and is simple.

>
> This would then eliminate the need to repeat the existing TLV22 subTLV
> assignments in this document (as you do immediately below the quoted
> text) - and it would eliminate confusion between the statement above and
> the statement later in the same section:
>
> "...the new sub-TLVs MUST be defined from a sub-
>   TLV registry which is shared by these two TLVs."
>
>   Les
>

Best regards,
Mach 

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isis-wg